<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/PPEManager/Materials/MatClasses/PPERadialBlur.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d3/d7e/_p_p_e_radial_blur_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">PPERadialBlur.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d3/d7e/_p_p_e_radial_blur_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span> </div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno"><a class="line" href="../../de/d1d/class_p_p_e_radial_blur.html">    2</a></span><span class="keyword">class </span><a class="code hl_class" href="../../de/d1d/class_p_p_e_radial_blur.html">PPERadialBlur</a>: <a class="code hl_class" href="../../d3/ddf/class_p_p_e_class_base.html">PPEClassBase</a></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span>{</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../de/d1d/class_p_p_e_radial_blur.html#af020259f6551306b67c9c77b6ad12475">    4</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../de/d1d/class_p_p_e_radial_blur.html#af020259f6551306b67c9c77b6ad12475">PARAM_POWERX</a> = 0;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../de/d1d/class_p_p_e_radial_blur.html#aa2e466dd3bb3767ce27de79e526c1bdf">    5</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../de/d1d/class_p_p_e_radial_blur.html#aa2e466dd3bb3767ce27de79e526c1bdf">PARAM_POWERY</a> = 1;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../de/d1d/class_p_p_e_radial_blur.html#aa5d2b324c2f5fa1c511dc3bfd50ac228">    6</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../de/d1d/class_p_p_e_radial_blur.html#aa5d2b324c2f5fa1c511dc3bfd50ac228">PARAM_OFFSETX</a> = 2;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../de/d1d/class_p_p_e_radial_blur.html#a356cb12500cb55a1fb2e5a43a5cd7739">    7</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../de/d1d/class_p_p_e_radial_blur.html#a356cb12500cb55a1fb2e5a43a5cd7739">PARAM_OFFSETY</a> = 3;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../de/d1d/class_p_p_e_radial_blur.html#a09a22e19751280468353c345098816de">    8</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../de/d1d/class_p_p_e_radial_blur.html#a09a22e19751280468353c345098816de">PARAM_PIXELSCALE</a> = 4;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../de/d1d/class_p_p_e_radial_blur.html#af9c772cd8e288c059e5a8cc9d48dd5d8">   11</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../de/d1d/class_p_p_e_radial_blur.html#af9c772cd8e288c059e5a8cc9d48dd5d8">L_0_PAIN_BLUR</a> = 100;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../de/d1d/class_p_p_e_radial_blur.html#a3aebd2d9e29ceb35eb702f429271d1cb">   14</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../de/d1d/class_p_p_e_radial_blur.html#a3aebd2d9e29ceb35eb702f429271d1cb">GetPostProcessEffectID</a>()</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    {</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        <span class="keywordflow">return</span> <a class="code hl_enumeration" href="../../dd/dd2/group___camera.html#gac5442d940bdd247b908f1f02efd643ec">PostProcessEffectType</a>.RadialBlur;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    }</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../de/d1d/class_p_p_e_radial_blur.html#a6f80a17e6f5ca106cdcd8e89b43d57f0">   19</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../de/d1d/class_p_p_e_radial_blur.html#a6f80a17e6f5ca106cdcd8e89b43d57f0">GetDefaultMaterialPath</a>()</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    {</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;Graphics/Materials/postprocess/radialblur&quot;</span>;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    }</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../de/d1d/class_p_p_e_radial_blur.html#a95418f08a839932c8fe8a067763ba948">   24</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d1d/class_p_p_e_radial_blur.html#a95418f08a839932c8fe8a067763ba948">RegisterMaterialParameters</a>()</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    {</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../de/d1d/class_p_p_e_radial_blur.html#af020259f6551306b67c9c77b6ad12475">PARAM_POWERX</a>,<span class="stringliteral">&quot;PowerX&quot;</span>,0.0,0.0,0.1);</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../de/d1d/class_p_p_e_radial_blur.html#aa2e466dd3bb3767ce27de79e526c1bdf">PARAM_POWERY</a>,<span class="stringliteral">&quot;PowerY&quot;</span>,0.0,0.0,0.1);</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../de/d1d/class_p_p_e_radial_blur.html#aa5d2b324c2f5fa1c511dc3bfd50ac228">PARAM_OFFSETX</a>,<span class="stringliteral">&quot;OffsetX&quot;</span>,0.05,0.0,0.5);</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../de/d1d/class_p_p_e_radial_blur.html#a356cb12500cb55a1fb2e5a43a5cd7739">PARAM_OFFSETY</a>,<span class="stringliteral">&quot;OffsetY&quot;</span>,0.05,0.0,0.5);</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../de/d1d/class_p_p_e_radial_blur.html#a09a22e19751280468353c345098816de">PARAM_PIXELSCALE</a>,<span class="stringliteral">&quot;PixelScale&quot;</span>,0.5,0.125,1.0);</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    }</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>}</div>
<div class="ttc" id="aclass_p_p_e_class_base_html"><div class="ttname"><a href="../../d3/ddf/class_p_p_e_class_base.html">PPEClassBase</a></div><div class="ttdoc">Created once, on manager init. Script-side representation of C++ material class, separate handling.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dba/_p_p_e_mat_classes_base_8c_source.html#l00002">PPEMatClassesBase.c:3</a></div></div>
<div class="ttc" id="aclass_p_p_e_class_base_html_afdb1572dadef790be5856fb27fbbbf02"><div class="ttname"><a href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">PPEClassBase::RegisterParameterScalarFloat</a></div><div class="ttdeci">protected void RegisterParameterScalarFloat(int idx, string parameter_name, float default_value, float min, float max)</div><div class="ttdoc">WARNING - min/max values are usually taken from Workbench defaults, may not be actual min/max values ...</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dba/_p_p_e_mat_classes_base_8c_source.html#l00077">PPEMatClassesBase.c:77</a></div></div>
<div class="ttc" id="aclass_p_p_e_radial_blur_html"><div class="ttname"><a href="../../de/d1d/class_p_p_e_radial_blur.html">PPERadialBlur</a></div><div class="ttdoc">RadialBlur - PostProcessEffectType.RadialBlur.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d7e/_p_p_e_radial_blur_8c_source.html#l00002">PPERadialBlur.c:3</a></div></div>
<div class="ttc" id="aclass_p_p_e_radial_blur_html_a09a22e19751280468353c345098816de"><div class="ttname"><a href="../../de/d1d/class_p_p_e_radial_blur.html#a09a22e19751280468353c345098816de">PPERadialBlur::PARAM_PIXELSCALE</a></div><div class="ttdeci">static const int PARAM_PIXELSCALE</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d7e/_p_p_e_radial_blur_8c_source.html#l00008">PPERadialBlur.c:8</a></div></div>
<div class="ttc" id="aclass_p_p_e_radial_blur_html_a356cb12500cb55a1fb2e5a43a5cd7739"><div class="ttname"><a href="../../de/d1d/class_p_p_e_radial_blur.html#a356cb12500cb55a1fb2e5a43a5cd7739">PPERadialBlur::PARAM_OFFSETY</a></div><div class="ttdeci">static const int PARAM_OFFSETY</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d7e/_p_p_e_radial_blur_8c_source.html#l00007">PPERadialBlur.c:7</a></div></div>
<div class="ttc" id="aclass_p_p_e_radial_blur_html_a3aebd2d9e29ceb35eb702f429271d1cb"><div class="ttname"><a href="../../de/d1d/class_p_p_e_radial_blur.html#a3aebd2d9e29ceb35eb702f429271d1cb">PPERadialBlur::GetPostProcessEffectID</a></div><div class="ttdeci">override int GetPostProcessEffectID()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d7e/_p_p_e_radial_blur_8c_source.html#l00014">PPERadialBlur.c:14</a></div></div>
<div class="ttc" id="aclass_p_p_e_radial_blur_html_a6f80a17e6f5ca106cdcd8e89b43d57f0"><div class="ttname"><a href="../../de/d1d/class_p_p_e_radial_blur.html#a6f80a17e6f5ca106cdcd8e89b43d57f0">PPERadialBlur::GetDefaultMaterialPath</a></div><div class="ttdeci">override string GetDefaultMaterialPath()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d7e/_p_p_e_radial_blur_8c_source.html#l00019">PPERadialBlur.c:19</a></div></div>
<div class="ttc" id="aclass_p_p_e_radial_blur_html_a95418f08a839932c8fe8a067763ba948"><div class="ttname"><a href="../../de/d1d/class_p_p_e_radial_blur.html#a95418f08a839932c8fe8a067763ba948">PPERadialBlur::RegisterMaterialParameters</a></div><div class="ttdeci">override void RegisterMaterialParameters()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d7e/_p_p_e_radial_blur_8c_source.html#l00024">PPERadialBlur.c:24</a></div></div>
<div class="ttc" id="aclass_p_p_e_radial_blur_html_aa2e466dd3bb3767ce27de79e526c1bdf"><div class="ttname"><a href="../../de/d1d/class_p_p_e_radial_blur.html#aa2e466dd3bb3767ce27de79e526c1bdf">PPERadialBlur::PARAM_POWERY</a></div><div class="ttdeci">static const int PARAM_POWERY</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d7e/_p_p_e_radial_blur_8c_source.html#l00005">PPERadialBlur.c:5</a></div></div>
<div class="ttc" id="aclass_p_p_e_radial_blur_html_aa5d2b324c2f5fa1c511dc3bfd50ac228"><div class="ttname"><a href="../../de/d1d/class_p_p_e_radial_blur.html#aa5d2b324c2f5fa1c511dc3bfd50ac228">PPERadialBlur::PARAM_OFFSETX</a></div><div class="ttdeci">static const int PARAM_OFFSETX</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d7e/_p_p_e_radial_blur_8c_source.html#l00006">PPERadialBlur.c:6</a></div></div>
<div class="ttc" id="aclass_p_p_e_radial_blur_html_af020259f6551306b67c9c77b6ad12475"><div class="ttname"><a href="../../de/d1d/class_p_p_e_radial_blur.html#af020259f6551306b67c9c77b6ad12475">PPERadialBlur::PARAM_POWERX</a></div><div class="ttdeci">static const int PARAM_POWERX</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d7e/_p_p_e_radial_blur_8c_source.html#l00004">PPERadialBlur.c:4</a></div></div>
<div class="ttc" id="aclass_p_p_e_radial_blur_html_af9c772cd8e288c059e5a8cc9d48dd5d8"><div class="ttname"><a href="../../de/d1d/class_p_p_e_radial_blur.html#af9c772cd8e288c059e5a8cc9d48dd5d8">PPERadialBlur::L_0_PAIN_BLUR</a></div><div class="ttdeci">static const int L_0_PAIN_BLUR</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d7e/_p_p_e_radial_blur_8c_source.html#l00011">PPERadialBlur.c:11</a></div></div>
<div class="ttc" id="agroup___camera_html_gac5442d940bdd247b908f1f02efd643ec"><div class="ttname"><a href="../../dd/dd2/group___camera.html#gac5442d940bdd247b908f1f02efd643ec">PostProcessEffectType</a></div><div class="ttdeci">PostProcessEffectType</div><div class="ttdoc">Post-process effect type.</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d09/_en_world_8c_source.html#l00071">EnWorld.c:72</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_6c0cee39f72e4a24103cd1ca1fbae1cc.html">PPEManager</a></li><li class="navelem"><a class="el" href="../../dir_8bc3653e9bcdee59a0a321a7f331d675.html">Materials</a></li><li class="navelem"><a class="el" href="../../dir_228b1874a3aee11e6530a88a8cb14f93.html">MatClasses</a></li><li class="navelem"><a class="el" href="../../d3/d7e/_p_p_e_radial_blur_8c.html">PPERadialBlur.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
